org.apache.ignite.internal.util.worker

## Class GridWorkerListenerAdapter

- java.lang.Object
- - org.apache.ignite.internal.util.worker.GridWorkerListenerAdapter

All Implemented Interfaces:
  EventListener, GridWorkerListener

    public class GridWorkerListenerAdapter
    extends Object
    implements GridWorkerListener

Convenience adapter for `GridWorkerListener`.

### Constructor Summary

Constructors
Constructor and Description
`GridWorkerListenerAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onIdle(GridWorker w)`
`void` `onStarted(GridWorker w)`
`void` `onStopped(GridWorker w)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridWorkerListenerAdapter

    public GridWorkerListenerAdapter()

### Method Detail

#### onStarted

    public void onStarted(GridWorker w)

Specified by:
  `onStarted` in interface `GridWorkerListener`
Parameters:
  `w` - Started worker.

#### onStopped

    public void onStopped(GridWorker w)

Specified by:
  `onStopped` in interface `GridWorkerListener`
Parameters:
  `w` - Stopped worker.

#### onIdle

    public void onIdle(GridWorker w)

Specified by:
  `onIdle` in interface `GridWorkerListener`
Parameters:
  `w` - Idle worker.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021